# Record Class CLNImageProcessorRequest

java.lang.Object
java.lang.Record
com.io7m.calino.imageproc.api.CLNImageProcessorRequest

Record Components:
  `file` - The input file
  `premultiplyAlpha` - `true` if images should be alpha premultiplied
  `targetByteOrder` - The target byte order
  `layoutConversion` - The target image layout
  `generateMipMaps` - If non-empty, mipmaps will be generated using this filter

public record CLNImageProcessorRequest(Path file, boolean premultiplyAlpha, CLNByteOrder targetByteOrder, Optional<CLNImageLayoutConversion> layoutConversion, Optional<CLNImageMipMapFilter> generateMipMaps) extends Record
The type of image processor requests.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImageProcessorRequest(Path file, boolean premultiplyAlpha, CLNByteOrder targetByteOrder, Optional<CLNImageLayoutConversion> layoutConversion, Optional<CLNImageMipMapFilter> generateMipMaps)`
  The type of image processor requests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Path`
  `file()`
  Returns the value of the `file` record component.
  `Optional<CLNImageMipMapFilter>`
  `generateMipMaps()`
  Returns the value of the `generateMipMaps` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<CLNImageLayoutConversion>`
  `layoutConversion()`
  Returns the value of the `layoutConversion` record component.
  `boolean`
  `premultiplyAlpha()`
  Returns the value of the `premultiplyAlpha` record component.
  `CLNByteOrder`
  `targetByteOrder()`
  Returns the value of the `targetByteOrder` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNImageProcessorRequest

    public CLNImageProcessorRequest(Path file, boolean premultiplyAlpha, CLNByteOrder targetByteOrder, Optional<CLNImageLayoutConversion> layoutConversion, Optional<CLNImageMipMapFilter> generateMipMaps)
    The type of image processor requests.
    Parameters:
      `file` - The input file
      `premultiplyAlpha` - `true` if images should be alpha premultiplied
      `targetByteOrder` - The target byte order
      `layoutConversion` - The target image layout
      `generateMipMaps` - If non-empty, mipmaps will be generated using this filter

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public Path file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### premultiplyAlpha

    public boolean premultiplyAlpha()
    Returns the value of the `premultiplyAlpha` record component.
    Returns:
      the value of the `premultiplyAlpha` record component

  - ### targetByteOrder

    public CLNByteOrder targetByteOrder()
    Returns the value of the `targetByteOrder` record component.
    Returns:
      the value of the `targetByteOrder` record component

  - ### layoutConversion

    public Optional<CLNImageLayoutConversion> layoutConversion()
    Returns the value of the `layoutConversion` record component.
    Returns:
      the value of the `layoutConversion` record component

  - ### generateMipMaps

    public Optional<CLNImageMipMapFilter> generateMipMaps()
    Returns the value of the `generateMipMaps` record component.
    Returns:
      the value of the `generateMipMaps` record component